Subject: git checkout problem

From: "J.V." <[email-masked]>
Date: Fri, 22 Feb 2013 17:30:29 -0700

I was on my master branch, I checked out a branch (origin/somebranch), 
did nothing, made no updates
but did a few git pulls over about a week; made a small change to one 
file & comitted & pushed.

Now am trying to go back to my master branch and get:

error: The following untracked working tree files would be overwritten 
by checkout:
         lib/derbyclient.jar
Please move or remove them before you can switch branches.
Aborting

I did not put that file there, how do I get back to my master branch?  I 
do not want to muck up
the branch that I am now one.  Obviously someone put derbyclient.jar 
there, not sure, but it is
supposed to be there so do not want to remove.

any ideas?